---
title: Page types
slug: MDN/Structures/Page_types
tags:
  - Documentation
  - Guide
  - MDN Meta
  - Structures
  - Template
---
<div>{{MDNSidebar}}</div>

<p class="summary">There are a number of types of pages that are used repeatedly on MDN. This article describes these page types, their purpose, and gives examples of each and templates to use when creating a new page.</p>

<p>There are three broad categories of page types on MDN, though some page types fall into more than one category.</p>

<ul>
 <li><strong>Reference</strong> pages describe the details of something, and are organized according to the structure of the thing described.</li>
 <li><strong>Guide</strong> pages describe how to do something or use something, and are organized based on the goals of the reader.</li>
 <li><strong>Navigation</strong> pages exist primarily to provide links to other pages, usually about related topics.</li>
</ul>

<h2 id="Creating_a_new_page">Creating a new page</h2>

<p>To create a new page on MDN, you first need "page creator" permissions. If you've not got this, you can request it from a member of the MDN admin team (use the <a href="mdn-admins@mozilla.org">mdn-admins mailing list</a>).  Once you've got this, you can create a new page in a couple of ways:</p>

<ul>
 <li>On any page, you can create a new subpage using the <em>New sub-article</em> menu option in the gear menu.<img alt="options or gear menu on mdn, which includes the new sub-article option " src="https://mdn.mozillademos.org/files/15912/171EA6E3-FEA6-4B2D-AFF7-31E52A1FEA09.png" style="border-style: solid; border-width: 1px; display: block; height: 300px; margin: 0px auto; width: 233px;"></li>
 <li>You can also create a new page by following a red link (link to a page that doesn't exist yet) created by a macro call, e.g. a \{{domxref()}}).</li>
</ul>

<p>This will being you to the <em>New page</em> UI, where you can start entering the contents of a new page.</p>

<h2 id="How_to_use_the_templates">How to use the templates</h2>

<p>When creating a new page you can ensure that you've used the right page structure/contents by using one of our page templates (see the sections below).</p>

<p>These page templates don't make much sense as published pages, but if you view them in edit view you'll see that they contain a lot of helpful comments, placeholders, and hints detailing how to fill in the missing information and create your page.</p>

<p>At the top of each template you'll find a section entitled <em>Remove before publishing</em> — this contains information on how to fill in the page title, slug, sidebar menu, and tags (e.g. information that doesn't actually appear in the body of the article). You need to delete this section after you've followed the instructions in it, before the page can be considered finished.</p>

<p>To use a template, currently you just have to copy the source of the template out of its edit view and paste the contents into the <em>New document</em> page you are creating your new article in. In the future, we hope to update the editor UI to allow you to choose templates directly from there.</p>

<h2 id="Old-style_page_layouts">Old-style page layouts</h2>

<p>Sometimes you will come across old-style reference pages that look markedly different from the templates presented here. For example, old-style interface pages had all the interfaces' member details on a single page, and individual method/property/constructor/event listener pages didn't exist.</p>

<p>If you come across an old-style set of pages, we'd love for you to update them to the new style! However, we do appreciate that this could be a large amount of work. If the information to update is not too large, and you have some free time, by all means try updating it to the new style.</p>

<p>If the work is more significant, then you should consider a few factors when prioritising the work:</p>

<ul>
 <li>How out-of-date is the information?</li>
 <li>How low quality is the information?</li>
 <li>How popular is the feature? How sought after is the information?</li>
</ul>

<p>If you want to get a team together to work on an update, or you just want to report or discuss some content needing an update, <a href="https://discourse.mozilla.org/c/mdn">send us a message on discourse</a>.</p>

<h2 id="API_landing_page">API landing page</h2>

<p>An <strong>{{Glossary("API")}} landing page</strong> provides an overview of what a particular API does, as well as links to the documentation for each of the interfaces, globals, functions, etc. offered by the API. It does not link directly to specific methods or properties within the API's classes, except in the context of the overview text. It is primarily a <em>navigation</em> page, but also functions as an at-a-glance <em>reference</em> page for the API.</p>

<p>There are some instances where multiple APIs exist that are distinct, and are defined in their own specifications, but they closely related and therefore would make sense to cover with a single API landing page. For example, the <a href="https://www.w3.org/TR/generic-sensor/">Generic Sensor API</a> cover general sensor concerns, but more specific concerns are covered in other APIs such as <a href="https://www.w3.org/TR/ambient-light/">Ambient Light Sensor</a>, <a href="https://www.w3.org/TR/motion-sensors/">Motion Sensor</a>, etc. In such cases, many of the high level concepts are the same, so it makes no sense to repeat those over multiple landing pages. In such a case, it would make more sense in terms of repetition and findability to cover them all under a single "Web sensors" landing page.</p>

<h3 id="Example">Example</h3>

<ul>
 <li><a href="/en-US/docs/Web/API/WebVR_API">WebVR API</a></li>
</ul>

<h3 id="Templates">Templates</h3>

<ul>
 <li><a href="/en-US/docs/MDN/Contribute/Structures/Page_types/API_landing_page_template">API landing page template</a></li>
</ul>

<h2 id="API_reference_page">API reference page</h2>

<div class="note">
<p><strong>Note:</strong> Also known as an <em>Interface landing page</em>.</p>
</div>

<p>An <strong>API reference page</strong> lists all the methods, properties, events, and so forth that are members of a particular interface or class. It provides an overview of what the class or interface does or is used for, and gives links to the documentation for each of these members. It is more granular than an API landing page, which typically links to multiple API reference pages.</p>

<h3 id="Example_2">Example</h3>

<ul>
 <li><a href="/en-US/docs/Web/API/Request">Request interface</a> of the <a href="/en-US/docs/Web/API/Fetch_API">Fetch API</a>.</li>
</ul>

<h3 id="Templates_2">Templates</h3>

<ul>
 <li><a href="/en-US/docs/MDN/Contribute/Structures/Page_types/API_reference_page_template">API reference page template</a></li>
</ul>

<h2 id="API_reference_subpage">API reference subpage</h2>

<p>An <strong>API reference subpage</strong> is a child of an API reference page. It documents a single interface member in detail.</p>

<h3 id="Examples">Examples</h3>

<ul>
 <li><a href="/en-US/docs/Web/API/IDBIndex/count"><code>count()</code> method</a> of the <a href="/en-US/docs/Web/API/IDBIndex">IDBIndex</a> interface (part of the <a href="/en-US/docs/Web/API/IndexedDB_API">IndexedDB API</a>)</li>
 <li><a href="/en-US/docs/Web/API/VRDisplay/capabilities">capabilities property</a> of the <a href="/en-US/docs/Web/API/VRDisplay">VRDisplay</a> interface (part of the <a href="/en-US/docs/Web/API/WebVR_API">WebVR API</a>)</li>
 <li><a href="/en-US/docs/Web/API/Request/Request">Request() constructor</a> of the <a href="/en-US/docs/Web/API/Request">Request</a> interface (part of the <a href="/en-US/docs/Web/API/Fetch_API">Fetch API</a>)</li>
 <li><a href="/en-US/docs/Web/API/Window/vrdisplaypresentchange_event">vrdisplaypresentchange event</a> (part of the <a href="/en-US/docs/Web/API/WebVR_API">WebVR API</a>, hangs off the <a href="/en-US/docs/Web/API/Window">Window</a>) interface</li>
 <li><a href="/en-US/docs/Web/API/Window/onvrdisplaypresentchange">onvrdisplaypresentchange event handler</a> (part of the <a href="/en-US/docs/Web/API/WebVR_API">WebVR API</a>, hangs off the <a href="/en-US/docs/Web/API/Window">Window</a>) interface</li>
</ul>

<h3 id="Templates_3">Templates</h3>

<ul>
 <li><a href="/en-US/docs/MDN/Contribute/Structures/Page_types/API_method_subpage_template">API method subpage template</a></li>
 <li><a href="/en-US/docs/MDN/Contribute/Structures/Page_types/API_property_subpage_template">API property subpage template</a></li>
 <li><a href="/en-US/docs/MDN/Contribute/Structures/Page_types/API_constructor_subpage_template">API constructor subpage template</a></li>
 <li><a href="/en-US/docs/MDN/Contribute/Structures/Page_types/API_event_subpage_template">API event subpage template</a></li>
 <li><a href="/en-US/docs/MDN/Contribute/Structures/Page_types/API_event_handler_subpage_template">API event handler subpage template</a></li>
</ul>

<h2 id="HTML_element_reference_page">HTML element reference page</h2>

<p>An <strong>HTML reference page</strong> lists all the attributes that are available on an HTML element, explains the element's purpose and usage, and provides examples, browser compatibility information, and other important data.</p>

<h3 id="Example_3">Example</h3>

<ul>
 <li><a href="/en-US/docs/Web/HTML/Element/video"><code>&lt;video&gt;</code> element</a></li>
</ul>

<h3 id="Templates_4">Templates</h3>

<ul>
 <li><a href="/en-US/docs/MDN/Contribute/Structures/Page_types/HTML_element_page_template">HTML element page template</a></li>
</ul>

<h2 id="SVG_element_reference_page">SVG element reference page</h2>

<p>An <strong>SVG reference page</strong> lists all the attributes that are available on an SVG element, explains the element's purpose and usage, and provides examples, browser compatibility information, and other important data.</p>

<h3 id="Example_4">Example</h3>

<ul>
 <li><a href="/en-US/docs/Web/SVG/Element/g">&lt;g&gt; element</a></li>
</ul>

<h3 id="Templates_5">Templates</h3>

<ul>
 <li><a href="/en-US/docs/MDN/Contribute/Structures/Page_types/SVG_element_page_template">SVG element page template</a></li>
</ul>

<h2 id="CSS_feature_reference_page">CSS feature reference page</h2>

<p>A <strong>CSS reference page</strong> lists all the available syntax for a CSS feature such as a selector or property, and explains the feature's purpose and usage. It also provides examples, browser compatibility information, and other important data.</p>

<h3 id="Examples_2">Examples</h3>

<ul>
 <li><a href="/en-US/docs/Web/CSS/background-color">background-color property</a></li>
 <li><a href="/en-US/docs/Web/CSS/:hover">:hover pseudo-class</a></li>
 <li><a href="/en-US/docs/Web/CSS/@media">@media at-rule</a></li>
</ul>

<h3 id="Templates_6">Templates</h3>

<ul>
 <li><a href="/en-US/docs/MDN/Contribute/Structures/Page_types/CSS_property_page_template">CSS property page template</a></li>
 <li><a href="/en-US/docs/MDN/Contribute/Structures/Page_types/CSS_selector_page_template">CSS selector page template</a></li>
</ul>

<h2 id="HTTP_header_reference_page">HTTP header reference page</h2>

<p>An <strong>HTTP header reference page</strong> lists all the available directives that an HTTP header can contain, and explains the header's purpose and usage. It also provides examples, browser compatibility information, and other important expl.</p>

<h3 id="Example_5">Example</h3>

<ul>
 <li><a href="/en-US/docs/Web/HTTP/Headers/Cache-Control">Cache-Control header</a></li>
</ul>

<h3 id="Templates_7">Templates</h3>

<ul>
 <li><a href="/en-US/docs/MDN/Contribute/Structures/Page_types/HTTP_header_page_template">HTTP header page template</a></li>
</ul>

<h2 id="Conceptual_page">Conceptual page</h2>

<p>A <strong>conceptual page</strong> is a <em>guide</em> page that explains or teaches something. Generally, if a page contains primarily prose, and doesn't fall into another page type, it's probably a conceptual page. An extended discussion of a topic might be spread across multiple conceptual pages, and linked using <a href="https://github.com/mdn/kumascript/blob/master/macros/Next.ejs">Next</a> and <a href="https://github.com/mdn/kumascript/blob/master/macros/Previous.ejs">Previous</a> macros.</p>

<h3 id="Examples_3">Examples</h3>

<ul>
 <li><a href="/en-US/docs/Web/API/WebVR_API">Using the WebVR API</a></li>
 <li><a href="/en-US/docs/Web/API/Web_Audio_API">Creating visualizations with the Web Audio API</a></li>
 <li><a href="/en-US/docs/Learn/CSS/Introduction_to_CSS/Cascade_and_inheritance">Cascade and inheritance in CSS</a></li>
</ul>

<h2 id="Glossary_page">Glossary page</h2>

<p>A <strong>glossary page</strong> contains a brief explanation of a term, topic, or concept. The first paragraph should be a simple, self-contained description of the term, no more than a couple sentences. This can be followed by links to further information in the <strong>Learn more</strong> section. If the page grows to more than a screenful or so, it's too long and should be converted to a conceptual page. See <a href="/en-US/docs/MDN/Contribute/Howto/Write_a_new_entry_in_the_Glossary">How to write and reference an entry in the glossary</a> for more details.</p>

<h3 id="Examples_4">Examples</h3>

<ul>
 <li><a href="/en-US/docs/Glossary/DOM">DOM</a></li>
 <li><a href="/en-US/docs/Glossary/Exception">Exception</a></li>
 <li><a href="/en-US/docs/Glossary/Hyperlink">Hyperlink</a></li>
</ul>

<h3 id="Templates_8">Templates</h3>

<ul>
 <li><a href="/en-US/docs/MDN/Contribute/Structures/Page_types/Glossary_page_template">Glossary page template</a></li>
</ul>

<h2 id="Landing_page">Landing page</h2>

<p>A <strong>landing page</strong> serves as a menu, of sorts, for its subpages, and is therefore primarily a <em>navigation</em> page. A landing page layout is typically used for the root page of a tree of pages about a particular topic. It opens with a brief summary of the topic, then presents a structured list of links to its subpages, and optionally, additional material that be useful to the reader.</p>

<p>The list of subpages can be generated automatically using the templates {{TemplateLink("SubpagesWithSummaries")}}, {{TemplateLink("SubpageMenuByCategories")}}, and {{TemplateLink("LandingPageListSubpages")}}. However, in more complex cases, the list may need to be created (and maintained!) by hand.</p>

<p>If you use one of the page list macros, it may be worthwhile to edit the page properties and set a non-zero value for "Rendering max age." This value is the maximum amount of time that MDN will let elapse between fully re-rendering the page, including re-running all macros. By setting an appropriate, reasonable time you can help ensure that the landing page is never out of date for more than a short time.</p>

<p>Choose an interval that makes sense based on the likelihood of the content to change. For an area which is under constant work, such as a new API in the process of being documented, a low value such as 2 hours could make sense. The value should be higher if the content won't change often; 3 days, for example.</p>

<p>Try to remember to reset the interval to 0 hours, 0 minutes, and 0 seconds once the content reaches a relatively stable state, to let MDN cache the pages over a longer period of time.</p>

<h3 id="Examples_5">Examples</h3>

<ul>
 <li><a href="/en-US/docs/Web/HTML">HTML</a></li>
 <li><a href="/en-US/docs/Web/CSS">CSS</a></li>
 <li><a href="/en-US/docs/Web/API">Web APIs</a></li>
 <li><a href="/en-US/docs/Web/JavaScript">JavaScript</a></li>
 <li><a href="/en-US/docs/Learn">Learning area</a></li>
 <li><a href="/en-US/docs/MDN/Contribute">Contributing to MDN</a></li>
</ul>
